package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description 数据类型  TEACHER 老师 PLATFORM 平台
 *
 * @author liujunchi
 * @date 2022-04-13
 */
public enum SourceTypeEnum implements BaseEnum<String, AuditStatusEnum> {

    TEACHER("老师"),

    // 机构，机构自己上传曲目 ， 暂时没有
    TENANT("机构"),
    PLATFORM("平台"),
    PLATFORM_DEDUCT("后台扣减"),
    ACTIVITY("活动"),
    ORDER("订单"),
    BACKEND_GIVE("后台赠送"),
    FREE_UPGRADE("免费升级"),


    ;

    @EnumValue
    private String code;
    private String msg;

    SourceTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

}
